For the complete documentation index, see llms.txt. This page is also available as Markdown.

Join

Join

post

Joins a Tenant Broker.

Query parameters
siteIdinteger · int32Optional

Site ID from which to retrieve the Tenant Broker settings (optional).

Body

Join Tenant Broker

hashKeystring · min: 1 · max: 255 · nullableRequired

This can be the Tenant Broker secret key located at Farm | Settings | Tenant Broker, or the Tenant invitation hash created at Farm | Tenants | Add.

tenantBrokerstring · min: 1 · max: 255 · nullableOptional

The IP or DNS address of the Tenant Broker to join.

tenantNamestring · min: 1 · max: 255 · nullableOptional

The Tenant name. Applicable only if Farms are allowed to register using a secret key.

publicDomainAddressesstring · min: 1 · max: 260 · nullableOptional

The accessible name. Applicable only if Farms are allowed to register using a secret key.

Responses
204

No Content

No content

post/api/TenantBroker/Join
POST /api/TenantBroker/Join HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 91

{
  "hashKey": "text",
  "tenantBroker": "text",
  "tenantName": "text",
  "publicDomainAddresses": "text"
}

No content

Last updated